Last Comment Bug 889745 - Frequent Random Orange: TEST-UNEXPECTED-FAIL | test-plugin-outdated.js | test_outdated_plugin_notification (Notification value was not correct: 'null' == 'null')
: Frequent Random Orange: TEST-UNEXPECTED-FAIL | test-plugin-outdated.js | test...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 25.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 00:26 PDT by Mark Banner (:standard8)
Modified: 2013-07-08 23:49 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
patch (5.32 KB, patch)
2013-07-04 11:26 PDT, :aceman
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2013-07-03 00:26:21 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=24849952&tree=Thunderbird-Trunk

TEST-START | /Users/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-outdated.js | test_outdated_plugin_notification
Step Pass: {"function": "controller.click()"}
Step Pass: {"function": "controller.waitFor()"}
Test Failure: Notification value was not correct: 'null' == 'null'.
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-outdated.js | test-plugin-outdated.js::test_outdated_plugin_notification
Comment 1 :aceman 2013-07-03 05:13:44 PDT
'null' == 'null' ?

This looks like something bug 880798 wants to fix. But that one is for xpcshell and this failure is in mozmill.
Changing platforms as the failure is also seen on Linux (on TB-trunk).
Comment 2 :aceman 2013-07-04 11:26:10 PDT
Created attachment 771445 [details] [diff] [review]
patch

Aryx, this would need a try run again, all systems (except Win), mozmill only.
Comment 3 Sebastian Hengst [:aryx][:archaeopteryx] 2013-07-04 12:09:13 PDT
Pushed to Thunderbird-Try: https://tbpl.mozilla.org/?tree=Thunderbird-Try&showall=1&rev=079ff8a50151
Comment 4 :aceman 2013-07-04 15:18:00 PDT
Comment on attachment 771445 [details] [diff] [review]
patch

There are some build failures on opt targets but in the debug targets where the build succeeded it seems the test no longer fails.

(For the build failures, PR_USEC_PER_SEC is defined in msgCore.h which nsAutoSyncManager.cpp is not including.)
Comment 5 Mark Banner (:standard8) 2013-07-08 13:14:07 PDT
Comment on attachment 771445 [details] [diff] [review]
patch

Review of attachment 771445 [details] [diff] [review]:
-----------------------------------------------------------------

Looks great, thanks!
Comment 6 Mark Banner (:standard8) 2013-07-08 13:20:42 PDT
https://hg.mozilla.org/comm-central/rev/cb74c0bcdd73
Comment 7 Mark Banner (:standard8) 2013-07-08 23:48:41 PDT
Comment on attachment 771445 [details] [diff] [review]
patch

[Triage Comment]
Another one bites the dust. So lets fix this on aurora as well :-)
Comment 8 Mark Banner (:standard8) 2013-07-08 23:49:53 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/3777b122c29d

Note You need to log in before you can comment on or make changes to this bug.